: English

Choose your language :

: English

: Français

Quick Menu Builder v1.3 - Help file - Matthieu GODON - 08.26.2002
(Special thanks to [tom27] and B3)


Help file

Introduction :

Quick Menu Builder enables you to create custom, executable menus. Your custom menu is compiled into a stand-alone executable file and works on all versions of Microsoft Windows®. Production of menus is easy, fast, does not require programming knowledge, and the results are very impressive! The User interface has been designed to be intuitive and allows you to progress logically through your menus' construction. Construction of the menu is divided into steps and you have a substantial degree of freedom within each step and its available features. You can create a menu in several minutes or take more time to customize the menu, right down to the last detail. Every feature is customizable; each menu you create can be radically different from any other. The menus are created as an "under-lay" beneathe a picture. The "buttons" are installed into the picture, where-ever you would like them. Each button can be assigned a different action (ie: execute program, explore folder, open document, open multimedia file, link URL, send e-mail and many more...). Quick Menu Builder supports animated GIF pictures, videos and Flash (Macromedia®) to assist you in bringing some liveliness to your menu. You can also link several menus and have access from one to another very easily. Quick Menu Builder is the most efficient way to build menus for all your: CD-ROM, DVD autorun, Application launcher(s) and many, many other multimedia projects...

System requirement :

CPU :Pentium 133 minimum.
Memory : 16 MB RAM (or more).
Free hard drive space : 10 MB
Operating system : Microsoft Windows 95/98/Me/NT4/2000/XP

License :

QUICK MENU BUILDER :

1. RESPONSIBILITY
This software is provided "as-is", without any expressed or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.
2. DISTRIBUTION
a) COPY LIMITATIONS
Quick Menu Builder can be distributed freely as long as it is unmodified from the original download. You may not sell copies of the product. If a copy of Quick Menu Builder is distributed, you must notify the author.
b) INTERNET
Only a direct link to the official Quick Menu Builder Website is allowed: it is forbidden to distribute a copy of Quick Menu Builder from another site without the expressed written consent of the author.
3. LEGAL
a) "FREEWARE" VERSION
Quick Menu Builder FREEWARE is free and not time-limited for personal use. Any and all public distribution or commercial application is prohibited.
b) "PRO" VERSION
Quick Menu Builder PRO allows you to create menus for public distribution products and commercial usages only if this version is legally registered in your name.
4. COPYRIGHTS
Quick Menu Builder is protected by international copyright laws. It is illegal to, or attempt to, reverse engineer, modify, or disassemble the software in whole or in part.

Copyright (c) 2001-2002 Mattgo27's Apps.


Versions history :

Legend :

: Added to the Freeware version .
: Added to the PRO version .
: Improved/modified features.
: Bugs fixed.

Version 1.3 :

09.03.2002

- | Ability to change the graphics of a "button" when it is "clicked"
- | Ability to change the cursor graphic when it Hovers over a button
- | MP3 support for all sounds
- | MIDI support for background music
- | Fade-effect speed customizable
- | Set hint display time
- | Intra-menu action on cursor leave a button
- | Now supports Flash areas in menus(*.swf Macromedia)
- | Button styles (Roll-over, Morphing or Windows)
- | Fast preview > Right click on a *.qmb file
- | Starting menu position is assignable
- | Menu opacity is now customizable
- | Added display modes (Windowed, full screen)
- | Splash Screen (Picture or video)
- | User changable appearance (Skins)
- | "Fade + Filter" now works with Windows XP
- | Mutiple parameters supported (ex: BSPlayer parameters)
- | Multi-line hint
- | Save pictures and videos in sources
- | Abstract error with sub-menus fixed
- | Correct save the action 'Open document'
- | CD icon update on insert fixed
- | Minor bugs fixed

Version 1.2 :

02.08.2002

- | Image and video area added
- | Animated GIF supported
- | Ability to assign specific sounds to each button
- | Adjustable magnetic grid (Size, position...)
- | Ability to add custom hints to buttons
- | Ability to create sub-menus
- | Intra-menu action on 'hover' and on 'click'
- | Loading gauge at start-up
- | Transparency fade effects (under Win 2K, XP)
- | Pictures and buttons drag'n drop move improved
- | Interface made sizeable
- | Minor bugs fixed

Version 1.1a :

11.09.2001

- | Change the "main" picture without deleting the buttons
- | Bug on "Opening" .wav files selected, fixed
- | Minor bugs fixed

Version 1.1 :

11.04.2001

- | Button caption with anti-aliasing and transparency
- | Background MP3 music
- | Play media > Fullscreen mode added
- | Jpeg compression quality customizable
- | Autorun icon
- | Menu preview
- | Multi-channel .wav output

Version 1.0 :

09.04.2001

-

First public release

Beta 0.95 :

08.30.2001

- | Language Pack support
- | Proprietary format *.qmb
- | Save/Open *.qmb archive
- | Use of relative path
- | Credits
- | Major bugs fixed !

Beta 0.8 :

08.30.2001

-

First beta release


Menus :

File :

New menu :

Resets all settings inorder to create a new menu.

Open menu :

You can open a previously saved menu (or downloaded menu) in the *.qmb format, and, you can also open an exported menu - just open the 'Menu.exe' file.

Save :

Saves the menu in the same filename (if it was specified), otherwise a dialog box will ask you to name it, before it will be saved.

Save as... :

Saves the current menu in another file-name; allows you to make copies of your menu.

Close :

Closes current menu and exits the software.

Multi-Language Support:

Multi-Language Updates :

Check the QMB official website for updates and new translations.

Language Translations :

QMB is designed to be multi-language capable, choose your language (or another one you understand the most) from the selection currently available. The complete User interface will be translated into this language.

Note : If you want to translate the program into your language: you just have to edit an existing language file (make a back-up copy first!). This is the" *.lng " file type, in the sub-folder " \lng\ " of the program. You must translate all sentences to the right of the " = " sign on each line. If your translation is full and correct, you can send it to the Author for distribution through the QMB website.

Skins :

More skins :

Visit the official website to download different skins. The site is often updated and your contributions will be welcomed. The site also explains how to create your own skins.

Skins :

Just select the skin you want to load.

Note: Partial or incorrect skins can cause display errors.

About... :

Help :

Show this help file.

Registration:

Open the registration window. This will explain how to purchase the PRO version.

Website :

Link to the official website.

Contacting other Users :

Linking to this site allows you to contact other Users. The Forum enables you to ask questions, share tips, and interact with other Users. The menu sources website enables you to exchange menu sources. And the best tutorials from other Users are referenced here also.

Other Software :

Links to the Author's other software.

Credits :

Software credits. ;-)


1) Load Files :

Open Pictures :

 This tab enables you to load the main menu picture(s), these pictures will form the basis of the general appearance of the menu.

"Main" Picture :

The "main" picture represents your menu as you would like it to be displayed. You can overlay buttons and associated text directly onto the picture for ease of use.

"Hover" Picture :

The "hover" picture is the same one as the "main" picture, except that on this picture you "draw" and place the buttons where you would like them to be for when the mouse cursor is "hovering" over top of them.

"Click" Picture :

The "click" picture is similar to the "main" picture but onto this, you draw the buttons as you would like them to appear when the User has "clicked" them.

"Filter" Picture :

The "filter" picture allows you to create most any regular or non-rectangular shaped menus. The filter is a monochrome Bitmap picture. The black pixels of this picture will define the visible area of the menu, and white pixels will be transparent in the screen display.

Main, Hover, Click, Filter :

 This tab allows you to have a preview of the previously loaded files.

Compression :

 This tab enables you to set the compression rate of the pictures, in order to optimize the size/quality ratio.

Compression Format :

Choose the picture format you would like to use. The JPEG (.jpg) format offers a very good compression, but it does effect the quality of the picture. The Bitmap (.bmp) format uses no compression, and doesn't effect the quality. The trade-off is, the size of your created menu will be substantially increased.

Compression Rate :

If you have chosen the JPEG format, you can set the compression rate. Lower compression rates will keep the picture quality, and higher rates will effect the quality of the picture.

Default, Preview :

The "Default" button resets the compression rate to its default value (35). The "Preview" button allows you to have a preview of the current compression rate in order to view the picture quality.


2)Create Buttons :

Picture Area :

 This picture is the area upon which you will create and lay-out your "Buttons". You create a "Button" by "clicking" on the spot you want the "Button" to be located, and then moving, adjusting or resizing it using the drag square.

Tool Bar :

 The buttons and tools on the right allow you to create/delete buttons and also to move and resize them with precision.

Add Button :

This button creates a picture area. You can move and resize it. To make the placement easier, the program will draw the "hover" picture inside the area also. If no "hover" picture has been loaded, this area will be filled with the "frame" color instead. (This color won't appear in the final menu, it acts as a guide to help you in the placement of the "hover" layer).

Tip : If you click on "Add Button" when a button is already selected, the new button will inherit all the properties of the other one. (Size, Font, Sounds, etc.)

Button Title :

When you create a button, it is recommended that you give it a title or name in order to recognize it in the next step.

Frame Color :

If you have problems seeing your buttons against the picture background, you can change the frame's color. This color is used to draw the button borders and also the grid.

Selection :

Allows you to change the position and size of the selected button with precision.

Grid :

You can display a "magnetized" grid on your picture. Buttons can be moved around on this grid with precision. You can size it, and adjust the offset position of the buttons.

Delete Button :

Delete the selected button.

Clear all :

Delete all buttons.


3) Assign Actions :

Buttons List :

Buttons List :

This list contains the names of the previously created buttons. You can make adjustments to a button by selecting it from this list.

Button Name :

You can set or change the name of the selected button. You can check "Show as Caption" if you haven't written in the button text on the pictures. You can set the font in the 'Font' tab.

Button Style :

Picture Roll-Over :

This button uses the 3 pictures : "main", "hover" and "click" for creating this button. The button will have the appearance of the "main" picture, but when the mouse "hovers" over this button, it changes to the "hover" picture. The same thing occurs with the "click" function and picture.

Picture Morphing :

Similar to the "Picture Roll-Over" this button will use the same pictures. The difference is that the picture transition is done with a fade effect. The picture count needed to make the fade can be set (between 1 and 255), this value indirectly defines the fade speed.

Windows Button :

Use this to create "Windows-style" buttons. You can change the font of the caption. The buttons will use the operating system's default style in the current theme. So, the font color can't be set.

Button Action :

 You must choose an action for your button!

None :

No action assigned to the button: Clicking on this button will not trigger an external action, but you can add a sound event or an intra-menu action to it.

Explore Folder :

This command will open a folder in order to explore it. You must pre-select the folder you want to open. If you want to make a CD autorun menu it is highly advisable to use the relative path .

Execute... :

Enables you to launch an executable file by indicating the file path. You can also add execution parameters. If you want to make a CD autorun menu it is highly advisable to use relative path .

Open Document :

Open a document with the default opening program, just as if you had clicked on it in the explore-mode. If you want to make a CD autorun menu it is highly advisable to use relative path .

Open Media File :

Open a media file with preset parameters. You must indicate the path of the media file. You can choose between the default player and the mplayer2 (included in all Windows versions). Furthermore, you can choose if you want to open a video directly in fullscreen.

Tip : If you want to use another media player, you must copy it onto your final CD in order to guarantee the compatibility of the video and the availability of the player on all computers. You just have to launch the player using the 'Execute...' file, and indicate the path of the file to open in the parameters. If you want to make a CD autorun menu it is highly advisable to use relative path .

Link (URL) :

This will open the default Internet browser with the site URL you have entered.

Send E-mail :

This will open the default e-mail program for writing a new e-mail; it will automatically fill-in the 'send to' and 'subject' fields.

Minimize :

Minimize the menu in the taskbar.

Close :

Close the menu.

Close / Eject CD :

Close the menu and eject the CD on which the menu is written.

Picture Area :

Convert your button into a picture area. You can load a picture or animated GIF. You can also set-up display options such as the "visibility" of the display (this can be changed with an intra-action) or, transparency or, stretch.

Video area :

Convert your button into a video area. You can load AVI video, but the decompr- ession codec must be present on the user computer for it to work. As with picture areas, you can set-up display options.

Note : Videos files too big (>5MB) will not be copied into the source file or exported to the output directory. You will have to move these files manually. This limit protects you from linking a video file of 600MB (as an example) and trying to save the source and then freezing-up the application for 10 minutes (or...?) to save the video.

Flash Area :

Convert your button into a Flash area. The Flash format is a vectoral animated file made up by Macromedia®, this command allows you to integrate these files (*.swf) into your menu. Use of this command will embed an export-able file (swflash.ocx) that will increase the created menu's size. This file will be used by computers that do not have a Flash player installed.

Sub-Menu... :

Enables you to create a sub-menu. You can create a sub-menu from a main menu or from another sub-menu. Very easy to use, just enter the name of the sub-menu to be loaded. Sub-menu names are specified upon export.

Action:

 This tab allows you to setup your buttons' actions.

Select... :

Select a file, a folder, or media, etc... You must enter in this field the path of the file, you can use the 'Browse...' button to search for a file or use relative path in order to create an autorun.

Relative Path :

Relative path allows you to launch a file on a CD without specifying the CD drive letter. Instead of specifying the full path of your file: you will replace the drive letter and the associated folder by a relative path which are calculated upon the menu's launch. You can use :

MenuDir% : Corresponds to the folder where the menu is placed
MenuDrive% : Corresponds to the drive letter the menu is placed in
Windows% : Corresponds to the folder "windows"
System% : Corresponds to the folder "windows\system\"
Desktop% : Corresponds to the Desktop Folder
Temp% : Corresponds to the folder for the Temporary files

Example : Instead of specifying "D:\Videos\MyMovie.avi" if you have created an autorun menu at the CD root, replace it with "MenuDir%\Videos\MyMovie.avi" and your file will be found even if the CD drive letter isn't D:\

Parameters :

Enter the execution parameters, or option commands. You can also use relative path.

Close Menu after... :

Choose if you want to close the menu after this action has occured.

Windows "State" :

Choose the Windows "state" of the file to execute, folder to explore, etc... You can launch it in various "states", ie: Minimized (in taskbar), Normal, or Maximized.

Font :

Font :

Choose the font to be used for the button text.

Note : Use standard fonts that are present on all computers, in order to guarantee full compatibility, and a uniform "look" to your menu on all computers. If the specified font was not found, the menu will use the default Windows font instead.

Tip : If you really want to use a specific font, you can add your font (*.ttf) manually in the source folder (.\src\). This file will be used by the menu if the font was not found. Be careful to check the licensing limits governing the use of your font of choice, some are distributed as shareware and public/commercial usage may be prohibited.

Main, Hover :

These two parameters set the button's font in both the "Main" and "Hovered" states. You can set the: font size, color, text-style (bold, underline, italic), transparency, and position (x,y). Check "Center text" parameter to automatically center the text within the button.

Anti-aliasing :

Anti-aliasing enables you to improve the display quality of the text. Increasing the passes will reduce the aliasing on the text. It is advisable to use this option for a better final render of the menu.

Note : Use of the 2 passes anti-aliasing setting can slow the launch of a menu that contains a lot of buttons.

Sounds :

Hover :

Specify the sound that will be played when the mouse cursor is "hovering" over the button. You can choose to use a common sound for all the buttons, a specific sound for this button only, or to not assign any sound to the button.

Click :

Specify the sound that will be played when the User "clicks" on the button. You can choose to use a common sound for all the buttons, a specific sound for this button only, or to not assign any sound to the "click" action on the button.

Hint :

Hint :

Check 'Enable button hint' to add a hint to the button. Just enter the hint text in the above text area. You can customize the hint display in the customize step.

Hover, Click, Leave :

This tab enables you to add "intra-menu" actions to effect another button or area. This event can be triggered by Hovering, Clicking or Leaving a button.

Add :

Add an internal action. A window will open to choose the button and action to change. You can, for example, show or hide a picture area, play or stop a video...

Note : You can also control the background music. (Play/Stop)

Modify :

Open the parameters window to modify the selected action.

Delete :

Delete the selected action.

Button Preview :

Preview :

Generates a preview of the button (Style, font, hint, etc...)


4) Customize :

Sounds :

Start :

You can choose a sound that will be played upon start-up. This sound must be in WAV or MP3 format.

Note : Do not use this event to play background music: the buffer for this event will use more memory that the one reserved for the background music.

Hover, Click :

Choose a common sound for the "Hover" and "Click" events. Sounds can be in WAV format (compressed or not), or MP3.

Note : If you have already loaded common sounds in the previous step, these fields will already be filled.

Background Music :

Choose background music for your menu. You can load an MP3 or MIDI file. A check-box allows you to loop this music.

Icons :

Cursor :

Load the mouse cursor for your menu. You can use a basic cursor (*.cur) or animated (*.ani) one. By default, the menu will use the windows cursor.

"Hover" Cursor :

Change the cursor when the mouse hovers over a button. You can also use simple cursors (*.cur) or animated ones (*.ani). By default, the menu will use the windows "hand" cursor.

Icon (autorun) :

Use an Icon to represent your menu, it will be displayed after the CD is inserted. This option does not change the icon of the executable file, it modifies the autorun.inf to use this icon instead.

Hint :

Style :

Choose to use the default windows hint or a customized one. Customizing allows you to set the font, size, color, or other parameters.

Preview :

Generates a preview of the hint, a sample appears using the parameters you have set-up.

Time :

Set the appearance time (the duration before a hint is shown) and how long the hint is displayed for.

Customize :

Allows you to set-up the customized hint. You can change the form, size and font of the text; the colors, ie: background, border, font... You can also add a shadow with a transparency effect to the hint frame.

Transparency :

This tab allows you to use the transparency capability of the latest windows versions (2000 and XP).

Fade Effect :

Create a transparency fade effect upon opening (fade in) or on exiting the menu (fade out).

Note : Transparency under Windows 2000 isn't fast enough to use this effect with a "filter". So, if you check this option and you use a "filter" this fade effect will work only on Windows XP (XP makes it extremely fast).

Fade Speed :

Set the fade speed..

Note : Speed is also limited by your processor and video card. So, it is possible that on your computer, you won't see the difference between a speed of 5 and 8. (Your computer might not be able to be faster than a setting of 5).

Menu Opacity :

Allows you to set up the opacity of your menu. This opacity is stated in percentages, 100% will make a menu fully opaque.

Mode :

This tab allows you to choose the display mode of the menu.

Image :

Default mode. Your menu will have the image's appearance. No border and filter are used. Your menu will be the size of your pictures.

Windowed :

Choose this mode to create a standard menu with a Windows-like look. Your pictures will be bordered by a window, with a title, and the "Minimize" and "Close" buttons.

Fullscreen :

Allows you to make full-screen menus, that will work on all computers, independent of the resolution used. The menu is resized upon launching to fit the screen resolution being used. Resizing uses a bi-linear filter to reduce pixelation effects.

Note : If you use this mode, it is not advisable to use animated GIF's with a transparency background, resizing these animations in real-time requires a fast computer (thus, reducing the compatibility of your menu for all but the fastest computers). Furthermore, it is advisable to integrate the button-text directly onto the picture to be resized with the button.

Launch position :

Define the launch position of your menu on the display screen. You have the choice between several pre-defined positions or a custom position.

Note : Custom positions are not advised for menus you plan to distribute, because the menu will not appear in the same location if the monitor resolution is different.

Splash :

This tab allows you to show a picture or video before the menu

Open Splash :

Choose a picture or video to show before the menu. If you choose a video, the decompression codec will need to be present on User's computer.

Note : Very large videos files (>20MB) will not be copied to the source file or exported in the output directory. You will have to move these files manually. This limit is to protect you from linking a video file of 600MB (as an example) and trying to save it to the source file and freezing-up the application for 10 minutes (or....?) to save the video.

Show time :

Set the show time of the Splash, generally the time is about several seconds for pictures, and for video just set the video length (in milliseconds)

Note : By clicking on the "splash", it will interupt and bypass it.

Splash opacity :

As with the menu opacity, you can set the Splash transparency also.

Author :

Name, E-mail, Website :

Enter the Author information if you want to divulge it. The name of the author will appear in the 'About' section of the right-click menu (on the Freeware version).

Default :

You can save Author information and set it as a default to be loaded on each new menu you create.

Author's notes :

This area allows you to add comments, explanations, credits, or advice for the use of the menu. This will be used if you want to exchange your sources with other users. You can send your menus to the QMB site the best of which will be published on the website.


5) Export Menu :

Export Menu :

Windows Title :

Enter the Windows title of your menu, this title will be visible in the Windows taskbar.

Autorun :

Checking this option will generate the "autorun.inf" file to automatically execute your menu upon insertion into the CD drive.

Main Menu :

Export the menu as a fully stand-alone, main menu.

Sub-Menu :

Export the menu as a sub-menu. You can export a menu as a sub-menu only if you have already exported a main menu. All sub-menus must be exported to the same folder as the main menu. You must give it a name in order to call it up from the main menu or another sub-menu. (See also use of sub-menu action)

Output Folder :

Select the output folder to export your menu into. For making an autorun menu you must select the root folder for your future CD or DVD.

Preview :

Generates a preview of your menu (for display only). The menu will use all intra-actions, sounds, and any customizations. But external actions using relative path will not work in this preview.

Export Menu :

Exports the menu into the selected folder. The menu will be fully functional and ready to burn. You must burn all generated files onto your CD or DVD :
- Menu.exe
- Autorun.inf
- and source folder \src\

Note : Check all external actions before you burn your CD.

Log :

Export Time :

Reports the time (in milliseconds) used to export the menu.

Exported Files :

Provides a count of the files exported.

Errors Count :

Check for errors, if this counter isn't at "0", it is advisable to check all reports to see where the error(s) have come from.

Log :

Provides a Log of copied files and errors occuring during exportation.

License :

Version :

Shows the Quick Menu Builder version that you are actually using. "Freeware" is set when you use the free version, and "PRO" when you are using the registered version.

Registered to :

Name of the only User that can use this "PRO" version. If you are using the "Freeware" version, "Unregistered" will be set.

User's Rights :

Sums-up in several lines the User's rights for this version.

Licence :

Carefully read the license agreement; if you don't agree with the licensing terms, you must not use this software. Any non-conforming usages of these software programs could cause legal proceedings to be commenced, to effect a remedy to the contravention of this licensing agreement.


Frequent asked questions :

Frequently Asked Questions :

Questions :

- How will my menu work on all computers without specifying the CD drive letter ?
- Can I use a player other than Windows Media Player 2 ?
- The sounds don't work, only the background music is played (or opposite) ?
- The button roll-over doesn't work and my menu is slow, why ?

Answers :

Answer :

How will my menu work on all computers without specifying the CD drive letter ?

Just use the relative path. Instead of specifying the full path of your file, you will replace the drive letter and the associated folder with a relative path which is determined upon menu launch. (See relative path)

Answer :

Can I use a player other than Windows Media Player 2 ?

Yes, you just have to copy the desired player onto your final CD in order to guarantee accessibility to the player for all computers. You will need to have the player launch by using its "Execute" command, and then indicate the path of the file to be opened in the parameters. Check the player's structure by reading its help file, you may also be able to adjust the parameters to launch your video in fullscreen mode or modify other settings. If you want to make a CD autorun menu - it is highly advisable to use a relative path .

Answer :

The sounds don't work, only background music is played (or opposite) ?

Check to see if your sound card is set to multi-channel mode. If your card cannot play sounds in multi-channel mode (16bit sound cards, or older ones), try to download the latest drivers. If this suggestion doesn't work, the only solution would be to change your sound card!

Answer :

The button roll-over doesn't work and my menu is slow, why ?

If the button roll-over is slow or doesn't work, it could be due to the picture area having an animated GIF, using the transparency background. This may be using too much of the processor's resources, or, a video may be too compressed for your processor - which then wouldn't have time to repaint the button.


Technical Support :

Technical Support :

Couldn't find an answer to your question in this help file? Here are your options:

QMB Official Forum :

You can post your question(s) here, answers could come quite quickly because many Users connect to this forum and will read your question(s). If you use this forum, please try to answer the questions from other Users. If all Users went to this forum only to wait for their answers,............. no one would have any answers!

Direct link : http://forum.quickmenubuilder.com

Samples :

The Official website reference for the best tutorials available on the Internet, you will find some of your answers here. Furthermore, the website includes a menus section where you can download some source samples. (sources *.qmb).

Official website: http://www.quickmenubuilder.com
Menus sources : http://menus.quickmenubuilder.com

E-mail :

If all else fails, you can contact the author directly, by e-mail. As the Author receives alot of e-mail, the answer time isn't guaranteed.

E-mail : support@quickmenubuilder.com

Note : Registered Users of the PRO version are a priority, just write it in the subject heading, with your full name - for registration verification purposes.


Fichier d'aide

Introduction :

Quick Menu Builder est un logiciel de création de menus exécutables. Les menus créés sont entièrement autonomes et fonctionnent sur toutes les versions de Microsoft Windows®. La réalisation est simple, rapide, ne nécessite aucune notion de programmation, et les résultats sont impressionnants ! L'interface du logiciel a été étudiée pour que vous puissiez avancer de façon logique et intuitive. La construction du menu se déroule en plusieurs étapes, vous laissant libre choix d'utiliser chaque fonction disponible. Vous pouvez ainsi créer un menu en quelques minutes ou passer plus de temps pour personnaliser le menu dans ses moindres détails. Tout est paramétrable, le menu créé ne ressemblera à aucun autre. La création du menu se fait à partir d'images sur lesquelles on place des zones définissant les boutons. Vous pouvez assigner à chaque bouton une action (Exécuter un fichier, explorer un répertoire, ouvrir un document, envoyer un e-mail, atteindre un site Internet, etc...) qui sera déclenché lors d'un clic sur celui-ci. Le support des GIF animés, vidéos et flash (Macromédia®) vous permet de donner vie à votre menu. Vous pouvez aussi chaîner plusieurs menus et passer des uns aux autres très facilement. Quick Menu Builder est donc un outils idéal pour tout ceux qui désir réaliser un menu, un autorun de CD-Rom ou DVD, un lanceur d'application ou tout autre projet multimédia...

Configuration requise :

Processeur :Pentium 133 minimum.
Mémoire vive : 16 Mo (ou plus).
Espace libre sur le disque dur : 10 Mo
Système d'exploitation : Microsoft Windows 95/98/Me/NT4/2000/XP

Licence :

QUICK MENU BUILDER :

1. RESPONSABILITÉ
L'auteur ne pourra en aucun cas être tenu pour responsable d'éventuel(s) problème(s) survenu(s) lors de l'utilisation du logiciel Quick Menu Builder et/ou des menus générés par le programme. Le parfait fonctionnement des logiciels n'étant en aucun cas garanti, l'utilisateur est seul responsable de l'utilisation qu'il fait des logiciels.
2. DISTRIBUTION
a) SUPPORT
Quick Menu Builder peut être distribué gratuitement sur tout support physique (disquette, CD...) à condition qu'il ne soit pas modifié et ne doit en aucun cas être vendu.
b) INTERNET
Seul un lien vers le site officiel de Quick Menu Builder est autorisé. Il est formellement interdit de diffuser le fichier d'installation sur un autre site, sauf autorisation de la part de l'auteur.
3. LEGAL
a) VERSION "FREEWARE"
Quick Menu Builder FREEWARE est gratuit et illimité dans le temps pour tout usage personnel, mais la diffusion publique ou l'usage commercial est interdit.
b) VERSION "PRO"
Quick Menu Builder PRO vous permet de créer des menus pour une diffusion publique ou un usage commercial. Mais cela seulement si votre version est légal et enregistrée à votre nom.
4. COPYRIGHTS
Quick Menu Builder est protégé par des lois internationales. Il est formellement interdit d'essayer de décompiler, modifier ou désassembler le logiciel en entier ou en partie.

Copyright (c) 2001-2002 Mattgo27's Apps.


Historique des versions :

Légende :

: Ajouté à la version Freeware.
: Ajouté à la version PRO.
: Fonction améliorée / modifiée.
: Bugs corrigés.

Version 1.3 :

03.09.2002

- | Ajout d'une quatrième image 'Clic'
- | Curseur de survol des boutons
- | Support du MP3 pour tous les sons
- | Support du MIDI pour la musique de fond
- | Vitesse des fondus réglable
- | Temps d'affichage des infos-bulles réglable
- | Action intra-menu lors de la sortie du curseur d'un bouton
- | Zone Flash (*.swf Macromedia)
- | Boutons style (Image, Morphing ou Windows)
- | Aperçu rapide > Clic droit sur un fichier *.qmb
- | Position de démarrage
- | Réglage de l'opacité du menu
- | Mode d'affichage supplémentaire (Fenêtré, plein écran)
- | Splash Screen (Image ou video)
- | Changer l'apparence de l'Interface (Skins)
- | 'Fondu + Filtre' fonctionne sous windows XP
- | Gestion des paramètres multiples (ex: paramètres de BSPlayer)
- | Infos-bulles multi-lignes
- | Sauvegarde des images et videos dans la source
- | Erreurs abstraites avec les sous-menus corrigé
- | Sauvegarde de l'action 'Ouvrir document' résolu
- | Bug de mise à jour de l'icone du CD à l'insertion
- | Correction de bugs mineurs

Version 1.2 :

08.02.2002

- | Zones image et vidéo
- | Support du GIF animé
- | Attribution de sons différents pour chaque bouton
- | Grille magnétique réglable (Taille, position)
- | Ajout d'infos-bulles personnalisables
- | Création de sous-menus
- | Action intra-menu lors du survol d'un bouton
- | Action intra-menu lors d'un clic sur un bouton
- | Effets de fondu par transparence (sous Win 2K, XP)
- | Déplacement des images et boutons à la volé
- | Interface redimensionnable
- | Correction de bugs mineurs

Version 1.1a :

09.11.2001

- | Recharger l'image principale sans effacer les boutons
- | Bug lors de la sélection du son d'ouverture corrigé
- | Correction de bugs mineurs

Version 1.1 :

04.11.2001

- | Ajout de texte aux boutons avec effet de transparence et d'anti-aliasing
- | Possibilité d'ajouter une musique de fond au format MP3
- | Option pour lancer les vidéos en "Plein écran"
- | Réglage du taux de compression JPEG
- | Possibilité de changer l'icône du menu (Autorun du CD)
- | Aperçu du menu avant d'exporter
- | Sortie des sons WAV sur plusieurs canaux

Version 1.0 :

04.09.2001

-

Première distribution.

Béta 0.95 :

30.08.2001

- | Texte du logiciel exteriorisé > Traduction
- | Format propriétaire *.qmb
- | Sauver/Ouvrir un fichier source *.qmb
- | Chemins relatifs (MenuDir%...)
- | Crédits
- | Correction de bugs majeurs !

Béta 0.8 :

20.08.2001

-

Première version envoyée aux béta-testeurs.


Menus :

Fichier :

Nouveau menu :

Permet de remettre tout à zéro et de créer un nouveau menu.

Ouvrir un menu :

Vous pouvez ouvrir un menu précédemment enregistré (ou téléchargé) au format *.qmb, mais vous pouvez aussi ouvrir un menu qui aurait été exporté, pour cela ouvrez le fichier Menu.exe.

Sauvegarder :

Sauvegarde le menu sous le même nom de fichier s'il à déjà été spécifié, sinon la boite de dialogue vous demande de le faire.

Sauvegarder sous... :

Enregistre le menu en cours sous un autre nom de fichier, vous permettant ainsi de faire des copies à différents stades de l'élaboration du menu.

Fermer :

Ferme le menu en cours et quitte le logiciel.

Langues :

Autres langues :

Liens vers le site officiel mis à jour régulièrement sur lequel vous pourrez trouver de nouvelles traductions du logiciel.

Les langues :

Choisissez votre langue ou celle que vous comprenez le mieux si la votre n'est pas disponible. Toute l'interface va être traduite dans cette langue.

Note : Si vous souhaitez traduire le logiciel dans votre langue, il vous suffit d'éditer avec le Bloc-note un fichier langue existant (*.lng) dans le sous répertoire .\lng\ de l'installation. Vous devrez traduire toutes les phrases situés après le signe '=' sur chaque ligne. Si votre traduction est complète et correct, vous pouvez l'envoyer à l'auteur pour qu'elle soit diffusée sur le site.

Skins :

Plus de skins :

Lien vers le site officiel pour télécharger d'autres skins. Le site est mis à jour régulièrement et vos contributions seront les bienvenus. Le site vous explique aussi comment créer vos propres skins.

Les skins :

Il vous suffit de sélectionner le skin que vous voulez charger.

Note : Un skin incomplet ou incorrect peut provoquer des erreurs d'affichages.

A propos... :

Aide :

Affiche ce fichier d'aide.

S'enregistrer... :

Ouvre un fenêtre vous indiquant les procedures à suivre pour enregistrer la version PRO.

Site web :

Lien vers le site officiel du logiciel.

Contact entre... :

Liens vers des sites vous permettant de rentrer en contact avec d'autres utilisateurs. Le forum vous permettra de discuter, d'échanger des astuces... Le site des sources de menus vous permettras d'échanger les sources de vos menus. Enfin les tutoriels des utilisateurs seront référencés sur ce dernier.

Autres logiciels :

Liens vers les autres logiciels de l'auteur.

Crédits :

Les crédits du logiciel. ;-)


1) Charger les fichiers :

Ouvrir images:

 Cet onglet vous permet de charger les images principales du menu, celles qui vont définir l'apparence générale et sur lesquelles vous placerez vos boutons.

L'image 'principale' :

L'image 'principale' est l'image représentant vote menu, tel que vous souhaitez qu'il apparaisse lors de son exécution. Vous pouvez inclure les boutons et leur textes associés directement sur cette image pour un meilleur rendu.

L'image 'survol' :

L'image 'survol' est généralement similaire à l'image principale mais avec les boutons tels que vous aimeriez qu'ils apparaissent lorsque le curseur de la souris les survolera.

L'image 'clic' :

L'image 'clic' est l'image représentant vote menu avec les boutons tels que vous aimeriez qu'ils apparaissent lorsque l'on clic dessus.

L'image 'filtre' :

L'image 'filtre' vous permet de créer des menus non-rectangulaire. Il s'agit d'une image monochrome au format Bitmap. Les pixels noir de cette image définissent la zone visible, alors que les pixels blancs seront invisible au final.

Principale, Survol, Clic, Filtre :

 Ces onglets vous permettent d'avoir un aperçu des fichiers précédemment chargés.

Compression :

 Cette onglet vous permet de régler le taux de compression des images, afin d'optimiser le rapport qualité/taille du menu.

Format de compression :

Vous choisissez le format d'image que vous souhaitez utiliser. Le format JPEG offre une très bonne compression, mais altère légèrement l'image. Le format Bitmap (BMP) n'utilise pas de compression, donc l'image n'est pas altéré, mais la taille du menu est beaucoup plus importante.

Taux de compression :

Si vous avez choisi d'utiliser le format JPEG, cette option vous permet de régler le taux de compression. Plus le taux est faible plus l'image sera de bonne qualité, au contraire plus ce taux est grand, plus votre image sera altéré.

Défaut, aperçu :

Le bouton défaut permet de remettre la compression par défaut (Taux de 35.). Le bouton aperçu permet d'obtenir un aperçu du taux de compression pour s'assurer de la qualité de l'image.


2)Créer les boutons :

Zone image :

 Cette image contiendra les zones que vous aurez créés pour en faire des boutons. Vous pouvez sélectionner un zone en cliquant dessus et la déplacer ou l'agrandir en utilisant les poignées (carrés blancs) de redimensionnement.

Barre d'outils :

 Les boutons et outils à droite vous permettent de créer/supprimer des boutons ainsi que de les déplacer ou redimensionner avec précision.

Ajouter bouton :

Ce bouton crée une zone sur l'image. Vous pouvez alors la redimensionner et le déplacer à l'endroit souhaité. Pour faciliter le placement la zone affiche automatiquement l'image survol à l'intérieur de la zone. Si aucune image de survol n'est chargée, alors la zone sera remplie de la couleur 'frame'. (Celle-ci n'apparaîtra pas sur le menu final, elle vous permet juste de mieux visualiser vos zones).

Astuce : Si vous cliquez sur 'Ajouter bouton' alors qu'un autre bouton est sélectionné, le nouveau bouton héritera des propriétés de ce dernier. (Taille, Font, Sons...)

Nom du bouton :

Lorsque vous créez un bouton, il est préférable de lui donner un nom afin de le reconnaître plus aisément durant la prochaine étape qui consiste à assigner une action au bouton.

Couleur frame :

Si vous ne discernez pas bien vos boutons il est conseillé de changer cette couleur. Cette couleur sera utilisée pour afficher le contour des boutons, ainsi que la grille de déplacement.

Sélection :

Vous permet d'affiner la position ou la taille du bouton sélectionné.

Grille :

Vous pouvez afficher une grille "aimantée" sur l'image. Les boutons se déplaceront sur la grille de façon très précise. Vous pouvez régler la taille des mailles, et la positionner pour qu'elle s'ajuste à votre image.

Supprimer bouton :

Supprime le bouton sélectionné.

Tout supprimer :

Supprime tout les boutons de l'image.


3) Assigner les actions :

Liste des boutons :

Listes des boutons :

Cette liste contient le nom de tous les boutons que vous avez créés lors de l'étape précédente. Elle va vous permettre de les sélectionner un à un afin de les paramétrer.

Nom du bouton :

Vous permet d'attribuer ou de changer le nom du bouton sélectionné. Vous pouvez cocher l'option 'Afficher comme texte' si vous n'avez pas inscrit le texte du bouton sur l'image. Vous pourrez configurer la police dans l'onglet 'Police'.

Style de boutons :

Bouton image :

Le bouton image utilise les 3 images : 'principal', 'survol' et 'clic' pour créer le bouton. Le bouton aura l'apparence de l'image 'principal', mais lorsque le curseur survolera ce bouton le bouton prendra alors l'apparence de l'image 'survol' et de même pour le Clic.

Bouton Morphing :

Tout comme le bouton image, le bouton morphing utilise les images de base pour créer ce bouton. Mais la transition entre les images se fait par un effet de fondu. Le nombre d'images nécessaire au fondu est réglable (entre 1 et 255), cette valeur définit donc indirectement la vitesse du fondu.

Bouton windows :

Utiliser ce style pour créer des boutons windows. Vous pouvez changer la police de caractère du texte. Les boutons utiliseront le style par défaut du système d'exploitation en utilisant le thème en cours d'utilisation. C'est pour cette raison que la couleur du texte ne peut pas être changée.

Action du bouton :

 Vous pouvez affecter une action à votre bouton en choisissant un type d'action.

Aucune :

Aucune action n'est spécifiée à votre bouton. Un clic sur ce bouton ne déclenchera aucune action externe, mais vous pouvez attribuer un son lors du clic ou une action interne lors du clic.

Explorer le répertoire :

Cette action vous permet d'ouvrir un répertoire afin de pouvoir l'explorer. Vous devrez indiquer le répertoire en question. Pour la réalisation d'un autorun il est conseillé d'utiliser les chemins relatifs.

Exécuter... :

Vous permet d'exécuter un fichier en indiquant son chemin d'exécution. Vous pouvez aussi ajouter des paramètres d'exécution. Pour la réalisation d'un autorun il est conseillé d'utiliser les chemins relatifs.

Ouvrir le document :

Vous permet d'ouvrir un document avec le logiciel d'ouverture par défaut, comme si vous aviez cliqué sur ce fichier dans l'explorateur. Pour la réalisation d'un autorun il est conseillé d'utiliser les chemins relatifs.

Ouvrir le média :

Permet d'ouvrir un fichier multimédia avec des paramètres pré-programmés. Vous devrez indiquer le chemin du fichier à ouvrir. Vous pouvez choisir dans les paramètres d'utiliser le lecteur par défaut ou le lecteur mplayer2 (fournit avec toute les versions de Windows), de plus vous pouvez choisir d'ouvrir le fichier directement en mode 'Plein-écran'.

Note : Si vous souhaitez utiliser un lecteur spécifique, il vous faudra pour garantir la compatibilité sur tous les ordinateurs, copier ce lecteur sur le CD final. Vous lancerez alors vos fichiers en utilisant la commande 'Exécuter...'. Spécifiez le chemin du lecteur et indiquez le chemin du fichier à ouvrir dans les paramètres. Pour la réalisation d'un autorun il est conseillé d'utiliser les chemins relatifs.

Liens hypertexte (URL) :

Cette action ouvrira le navigateur internet par défaut avec l'adresse URL du site que vous avez spécifié.

Envoyer un E-mail :

Cette action ouvrira le logiciel de messagerie par défaut pour écrire un E-mail, et remplira automatiquement le champ du destinataire ainsi que le sujet.

Minimiser :

Réduit le menu dans la barre des tâches.

Fermer :

Ferme le menu.

Fermer / Éjecter le CD :

Ferme le menu et éjecte le CD sur lequel le menu est situé.

Zone image :

Transforme votre bouton en une zone image. Vous pouvez charger une image ou un GIF animé. Vous pouvez aussi régler les options d'affichage comme la visibilité lors du lancement du menu (qui peut être modifiée par la suite grâce à une action interne), la transparence ou bien le redimensionnement de l'image.

Zone vidéo :

Transforme votre bouton en une zone vidéo. Vous pouvez charger une vidéo AVI utilisant n'importe quel codec de compression, mais ce codec devras être présent sur l'ordinateur pour que la vidéo fonctionne. Tout comme la zone image vous pouvez régler les options d'affichage au démarrage.

Note : Les vidéos de plus de 5Mo ne sont pas copiées dans les fichiers sources ni exportées dans le répertoire source. Vous devrez les déplacer manuellement. Cette limite vous évite de lier une vidéo de 600Mo sans faire exprès à votre menu, et de bloquer l'ordinateur pendant 10 minutes pour sauvegarder vos sources.

Zone flash :

Transforme votre bouton en une zone Flash. Le Flash est un format d'animation vectoriel mis au point par Macromedia®, cette action vous permet d'intégrer ces fichiers (*.swf) à votre menu. L'utilisation de cette action ajoutera un fichier supplémentaire lors de l'exportation (swflash.ocx) ce qui peut alourdir la taille finale du menu. Ce fichier servira pour lire l'animation sur les ordinateurs ne possédant pas le lecteur Flash.

Sous-menu... :

Vous permet d'appeler un sous-menu. Vous pouvez grâce à cette option lancer un sous-menu a partir du menu principal ou d'un autre sous-menu. Le principe est simple, vous entrez juste le nom du sous-menu à atteindre. Le nom du sous-menu est spécifié lors de l'exportation de celui-ci.

Action:

 Cette onglet vous permet de configurer votre action..

Selectionner... :

Sélectionner un fichier, un répertoire, un média... Vous devez entrer dans ce champ le chemin de votre fichier, vous pouvez utiliser le bouton 'Explorer...' pour rechercher un fichier ou utiliser les chemins relatifs dans le cas de la création d'un autorun.

Chemins relatifs :

Les chemins relatifs permettent de lancer un fichier qui se trouve sur un CD sans tenir compte de la lettre du lecteur CD-Rom. En effet au lieu de spécifier le chemin exact de votre fichier, vous allez remplacer la lettre du lecteur et les répertoires associés par des chemins relatifs qui seront calculés lors de l'exécution du menu. Vous pouvez utiliser :

MenuDir% :Renvoit le répertoire où est placé le menu
MenuDrive% :Renvoit le lecteur où est placé le menu
Windows% : Répertoire 'windows'
System% : Répertoire 'windows\system'
Desktop% : Répertoire du bureau
Temp% : Répertoire des fichiers temporaires

Exemple : Au lieu de mettre : "D:\Videos\Monfilm.avi" si vous avez créé un menu autorun à la racine du CD vous pouvez le remplacer par "MenuDir%\Videos\Monfilm.avi" et votre fichier sera trouvé même si la lettre du CD-Rom n'est pas D:\

Paramètres :

Entrer les paramètres d'exécution, ou les options de l'action. Vous pouvez aussi utiliser les chemins relatifs.

Fermer le menu... :

Choisissez si vous voulez fermer le menu après l'exécution de cette action.

Ouvrir :

Choisissez le mode d'ouverture du fichier à exécuter, ou du répertoire à explorer ou autre... Vous pouvez choisir de lancer le fichier en mode Minimisé (dans la barre des tâches), Normal, ou Maximisé.

Police :

Police :

Choisissez la police de caractère à utiliser pour afficher le texte du bouton.

Note : Utilisez des polices standards pour que le menu soit lisible sur tous les ordinateur de façon identique. Si la police de caractère n'est pas trouvée, le menu utilisera la police par défaut de Windows.

Astuce : Si vous souhaitez tout de même utiliser une police spéciale, vous pouvez ajouter manuellement le fichier de la police (*.ttf) dans le répertoire source (.\src\). Celui-ci sera utilisé par le menu si la police n'est pas trouvée. Attention, vérifiez la licence d'utilisation de cette police, certaines sont distribués en shareware et leur usage public est interdit.

Principale, survole :

Ces 2 lignes définissent respectivement les propriétés de la police du bouton dans son état latent et survolé. Vous trouverez dans l'ordre, la taille de la police, la couleur, les boutons (gras, souligné, italique), la transparence, et la position (x,y) du texte. L'option 'Centrer le texte' permet de centrer automatiquement le texte sur le bouton.

Anti-aliasing :

L'anti-aliasing vous permet d'améliorer la qualité d'affichage du texte. Plus le nombre de passes est élevé, plus les effets d'escaliers sont estompés. Il est conseillé d'utiliser cette option pour un meilleur rendu.

Note : Un anti-aliasing à 2 passes peut ralentir le chargement d'un menu comportant beaucoup de boutons.

Sons :

Survol :

Vous pouvez choisir un son qui sera joué lorsque le bouton sera survolé par le curseur. Vous avez le choix d'utiliser un son commun à tous les boutons, de ne pas assigner de son ou bien de choisir un son spécifique à ce bouton.

Clic :

Vous pouvez choisir un son qui sera joué lorsque l'on cliquera sur ce bouton. Vous avez le choix d' utiliser un son commun à tous les boutons, de ne pas assigner de son ou bien de choisir un son spécifique à ce bouton.

Info :

Info-bulle :

Cocher l'option 'Activer l'info bulle' pour ajouter une info-bulle à votre bouton. Il vous suffit de rentrer le texte à afficher dans la zone de texte en dessous. Vous pourrez personnaliser l'affichage des bulles dans l'étape de personnalisation.

Survol, clic, sortie :

Ces onglets vous permettent d'ajouter des actions intra-menu, pour agir sur un autre bouton ou zone du menu. Ces actions seront déclenchées lors du survol, du clic ou de la sortie du curseur de ce bouton.

Ajouter :

Pour ajouter une action interne. Une fenêtre s'ouvrira dans laquelle vous pourrez choisir le bouton sur lequel agir et l'action à effectuer. Cela vous permet par exemple d'afficher ou cacher une zone image, de jouer ou arrêter une vidéo...

Note : Vous pouvez aussi inter-agir sur la musique de fond. (Play/Stop)

Modifier :

Permet d'ouvrir la fenêtre des paramètres pour modifier l'action sélectionnée.

Supprimer :

Supprime l'action sélectionnée.

Aperçu du bouton :

Aperçu :

Vous permet d'avoir un aperçu du bouton et de ses caractéristiques (Style, Police, Info-bulle...)


4) Personnaliser :

Sons :

Ouverture :

Vous pouvez choisir un son qui sera joué à l'ouverture du menu. Le son devra être au format WAV ou MP3. Mais ne spécifiez pas de musique sur cet événement. Le buffer attribué à ce son utilisera plus de mémoire que celui réservé à la musique de fond.

Survol, Clic :

Choisissez un son commun pour le survol et le clic d'un bouton. Les sons doivent être au format WAV (compressés ou non), ou bien MP3.

Note : Si vous avez déjà chargé un son commun lors de l'étape précédente, ces champs seront déjà remplis.

Musique de fond :

Choisissez une musique de fond pour votre menu. Vous pouvez choisir une musique au format MP3 ou MIDI. Une option vous permet de jouer cette musique en boucle.

Icônes :

Curseur :

Vous permet de changer le curseur de la souris lorsqu'il entrera dans votre menu. Vous pouvez utiliser un curseur fixe (*.cur) ou animé (*.ani). Par défaut le menu utilisera le curseur de Windows.

Curseur de survol :

Vous pouvez changer le curseur de survol des boutons. De même vous pouvez utiliser un curseur fixe (*.cur) ou animé (*.ani). Par défaut le menu utilisera le curseur de pointage de Windows.

Icône (autorun) :

Permet de copier une icône avec le menu, pour qu'il s'affiche à la place de l'icône du CD-Rom lors de son insertion. Cette option ne change pas l'icône de l'exécutable généré, mais modifie le fichier d'autorun pour qu'il utilise cette icône.

Info-bulles :

Style :

Vous pouvez choisir d'utiliser les info-bulles Windows par défaut ou bien des info-bulles personnalisées. Cette dernière nécessite de paramétrer la police, la couleur, la forme, etc...

Aperçu :

Vous donne un aperçu de l'info-bulle, un exemple apparaît utilisant les caractéristiques que vous avez réglées.

Temps... :

Vous pouvez régler le temps d'attente (Temps avant que l'info bulle ne s'affiche). Et le temps d'affichage (Durée pendant laquelle l'info-bulle doit rester affichée).

Personnaliser :

Vous permet de paramétrer votre info-bulle personnalisée. Vous pouvez régler la forme de la bulle, les couleurs : de fond, de bordures et du texte, la police utilisée, la taille du texte. Vous pouvez aussi ajouter une ombre et utiliser un effet de transparence sur celle-ci.

Transparence :

Cette onglet permet d'utiliser les possibilités de transparence des dernières versions de Windows (2000 et XP).

Effet de fondu :

Effectue un fondu progressif du menu lors de son ouverture ou de sa fermeture.

Note : La transparence sous windows 2000 n'est pas assez rapide pour utiliser un tel effet avec un 'filtre'. De ce fait si vous cocher cette option alors que vous utilisez un 'filtre', le fondu ne fonctionnera que sous Windows XP (qui lui, effectue le fondu avec une extrême rapidité).

Vitesse du fondu :

Vous permet de régler la vitesse du fondu.

Note : La vitesse est aussi limitée par les possibilités du processeur et de l'affichage. Donc il est possible que sur votre ordinateur, vous ne voyiez pas la différence entre une vitesse de 5 ou de 8. (Votre ordinateur ne peut alors pas aller plus vite que 5).

Opacité du menu :

Vous permet de régler l'opacité de votre menu. Cette opacité se règle en pourcentage, ainsi 100% signifie que votre menu sera complètement opaque.

Mode :

Cette onglet vous permet de choisir le mode d'affichage de votre menu.

Image :

Il s'agit du mode par défaut. Votre menu aura l'apparence que vous souhaitez. Aucune bordure ne sera utilisée et les filtres les plus extravagants sont utilisables. Votre menu aura la taille de vos images.

Fenêtré :

Choisissez ce mode pour réaliser un menu sobre, style Windows. Vos images seront encadrées d'une fenêtre Windows, avec un titre, et des boutons 'Minimiser' et 'Fermer' opérationnels.

Plein écran :

Vous permet de réaliser des menus 'Plein écran' qui fonctionneront sur tous les ordinateurs sans tenir compte de la résolution utilisée sur chacun d'eux. Le menu est re-calculé lors de son exécution en fonction de la résolution de l'écran. Le redimensionnement utilise un filtre bi-linéaire qui réduit l'apparition de pixels lors d'un agrandissement.

Note : Lors de l'utilisation de ce mode, il est déconseillé d'utiliser des GIFs animés avec une zone de transparence, le redimensionnement en temps réel nécessite un ordinateur puissant (donc réduit la compatibilité de votre menu). De plus il est conseillé d'intégrer directement le texte sur l'image pour qu'il soit redimensionné avec le menu.

Position :

Définit la position de démarrage de votre menu. Vous avez le choix entre plusieurs positions prédéfinies ou une position personnalisable.

Note : La position personnalisable est déconseillée pour la diffusion de vos menus, car le menu ne s'affichera pas au même endroit suivant la résolution de l'écran.

Splash :

Cette onglet vous permet d'afficher une image ou une vidéo juste avant le lancement de votre menu.

Ouvrir un Splash :

Choisissez une image ou une vidéo à afficher avant votre menu. L'utilisation d'une vidéo nécessitera la présence du codec de décompression sur votre ordinateur.

Note : Les vidéos de plus de 20Mo ne sont pas copiées dans les fichiers sources ni exportées dans le répertoire de sortie. Vous devrez les déplacer manuellement. Cette limite vous évite de lier une vidéo de 600 Mo sans faire exprès à votre menu, et de bloquer l'ordinateur pendant 10 min pour sauvegarder vos sources :)

Temps d'affichage :

Régler le temps d'affichage du Spash, généralement le temps pour une image est de quelques secondes, et pour une vidéo réglez le temps de la vidéo (en ms).

Note : Un clic sur l'image ou la vidéo fera disparaître le Splash.

Opacité du Splash :

Tout comme l'opacité du menu, vous pouvez régler la transparence du Splash. Cette opacité s'exprime en pourcentage.

Auteur :

Nom, E-mail, Site :

Entrer les informations vous concernant, si vous souhaitez les divulguer. Le nom de l'auteur apparaîtra dans le 'About' du menu contextuel de la version Freeware.

Défaut :

Vous pouvez enregistrer les paramètres actuels comme défaut pour qu'il se mettent par défaut à chaque nouveau menu.

Note de l'auteur :

Cette zone de texte vous permet d'ajouter un commentaire, des explications, des conseils pour utiliser le menu, ou bien des crédits. Cette zone sera surtout utilisée si vous échangez les sources de vos menus avec d'autres utilisateurs. Vous pouvez soumettre vos menus sur le site les meilleurs menus seront diffusés.


5) Exporter le menu :

Exporter le menu :

Titre :

Entrer le titre de la fenêtre du menu, c'est aussi le titre qui sera affiché dans la barre des tâches de Windows.

Autorun :

Cocher cette option permet de générer le fichier 'autorun.inf' qui permet d'exécuter automatiquement votre menu lors de l'insertion du CD.

Menu principal :

Exporte le menu comme un menu principal autonome.

Sous-menu :

Exporte le menu comme un sous-menu. Vous ne pouvez exporter un sous-menu que si vous avez au préalable déjà exporté un menu principal. Les sous-menu devront être exportés dans le même répertoire que le menu principal. Vous devrez aussi lui spécifier un nom unique qui vous servira pour le charger à partir du menu principal ou d'un autre sous-menu. (Voir utilisation de l'action sous-menu)

Répertoire de sortie :

Sélectionnez le répertoire dans lequel vous souhaitez exporter votre menu. Pour la création d'un menu autorun vous devrez sélectionner le répertoire servant de racine à votre future CD-Rom ou DVD.

Aperçu :

Vous permet d'avoir un aperçu graphique du menu. Le menu utilisera toutes les actions internes, les sons, et autres personnalisations. Mais les actions externes utilisant les chemins relatifs ne fonctionneront pas lors de cette aperçu.

Exporter :

Exporte le menu dans le répertoire choisi. Le menu sera entièrement fonctionnel et prêt à être utilisé ou gravé sur un CD. Vous devrez graver tous les fichiers générés sur votre CD :
- Menu.exe
- Autorun.inf
- et le répertoire source \src\

Note : Vérifiez bien que toutes vos actions externes fonctionnent avant de graver votre menu.

Compte rendu :

Temps d'exportation :

Vous indique le temps (en millisecondes) mis pour exporter votre menu.

Fichier exportés :

Affiche le nombre de fichiers qui ont été exportés.

Nombre d'erreurs:

Affiche le nombre d'erreurs, si ce nombre n'est pas à zéro il est conseillé de scruter le compte rendu pour voir d'où proviennent les erreurs.

Compte rendu :

Journal des fichiers copiés et des erreurs rencontrés lors de l'exportation.

Licence :

Version :

Affiche la version de Quick Menu Builder que vous utilisez. 'Freeware' vous indique que vous utilisez la version gratuite, et 'PRO' que vous êtes enregistré.

Enregistrer à :

Définit l'utilisateur autorisé à utilisé cette version PRO. Si vous utilisez la version Freeware, la notion 'non enregistré' sera affiché.

Droits d'utilisation :

Résume en quelques lignes les droits d'utilisation suivant la version que vous utilisez.

Licence :

Lisez attentivement la licence d'utilisation, si vous n'acceptez pas les termes d'utilisation de cette licence, vous ne devez pas utiliser ce logiciel. Tout usage non conforme à la licence peut entraîner une poursuite judiciaire.


Foire aux questions :

Questions :

- Comment faire pour que mon menu fonctionne indépendamment de la lettre du lecteur CD-Rom ?
- Puis-je lancer une vidéo avec un autre lecteur que Windows Media Player 2 ?
- Les sons ne fonctionnent pas, seule la musique est audible (ou le contraire) ?
- Le roll-over des boutons ne marche pas et mon menu est lent ?

Réponses :

Réponse :

Comment faire pour que mon menu fonctionne indépendamment de la lettre du lecteur CD-Rom ?

Il vous suffit d'utiliser les chemins relatifs. Au lieu de mettre la lettre du lecteur dans le chemin de vos fichiers, utilisez une variable relative qui sera calculée lors du lancement du menu. Ces variables peuvent renvoyer le répertoire du menu, le lecteur où est placé le menu, le répertoire de windows, etc... (Voir chemins relatifs)

Réponse :

Puis-je lancer une vidéo avec un autre lecteur que Windows Media Player 2 ?

Oui, il vous suffit d'inclure le lecteur sur votre CD-Rom pour garantir la fonctionnement du menu sur un autre ordinateur. Vous lancerez alors vos fichier en utilisant la commande 'Exécuter...' en exécutant le lecteur. Ensuite indiquez le chemin du fichier à ouvrir dans les paramètres. Vérifiez la syntaxe de lancement de fichier en regardant l'aide de votre lecteur, vous pourrez aussi ajouter des paramètres pour lancer la vidéo en plein écran et bien d'autres... Pour la réalisation d'un autorun il est conseillé d'utiliser les chemins relatifs .

Réponse :

Les sons ne fonctionnent pas, seule la musique est audible (ou le contraire) ?

Vérifiez que votre carte son est réglée en mode multi-canaux. Si votre carte son ne gère pas la lecture du son sur plusieurs canaux (Carte son 16bits, ou carte obsolète), vérifiez la validité des drivers sur le site du fabriquant de votre carte. Si les derniers drivers ne fonctionnent pas, la seule solution sera de changer de carte son.

Réponse :

Le roll-over des boutons ne marche pas et mon menu est lent ?

Si le roll-over des boutons (changement d'image lors du survol) est lent ou ne fonctionne pas. Il doit s'agir d'une zone image avec un GIF animé utilisant une zone transparente trop grourmande en ressource processeur, ou bien d'une vidéo utilisant un codec de compression trop élevé pour votre processeur ne lui lassant aucun répit pour redessiner le bouton.


Support technique :

Support techniques :

Vous ne trouvez pas de solution dans ce fichier d'aide ? Voici les possibilités qui s'offrent à vous :

Le forum officiel :

Vous pourrez posez votre question sur ce forum, la réponse peut être très rapide puisque beaucoup d'utilisateurs se connectent sur ce forum et liront votre question. Si vous utilisez le forum, essayez de répondre aux questions des autres utilisateurs si vous connaissez la réponse, un forum ne vit pas si les utilisateurs y vont seulement pour poser leur question.

Lien direct : http://forum.quickmenubuilder.com

Les exemples :

Le site officiel référence les meilleurs tutoriaux et exemples disponibles sur Internet, vous y trouverez sans doute des réponses. De plus le site propose un espace d'échange de sources de menus regroupant des centaines de menus pre-fabriqués. (sources *.qmb).

Site officiel : http://www.quickmenubuilder.com
Sources de menus : http://menus.quickmenubuilder.com

E-mail :

Si vous êtes toujours sans réponse... vous pouvez contacter directement l'auteur par E-mail. Cela dit, l'auteur reçoit énormément d'e-mails et le temps de réponse n'est aucunement garanti.

E-mail : support@quickmenubuilder.com

Note : Les utilisateurs qui ont enregistré la version PRO passeront en priorité, ils doivent le stipuler dans le sujet ainsi que leur nom complet.